These are chat archives for fossasia/open-event-server

22nd
Jan 2017
Princu
@Princu7
Jan 22 2017 05:08
@gkrishnan724 Hello. Just read the docs, setup the project locally and start solving issues opened on the Github page!
Yasiru NIlan
@yasirunilan
Jan 22 2017 10:32
hi can some body help me I got a problem in installation of open-event-orga-server
I get this message when I try to install requirements

In file included from psycopg/psycopgmodule.c:27:0:

./psycopg/psycopg.h:30:20: fatal error: Python.h: No such file or directory

include <Python.h>

                ^

compilation terminated.

error: command 'x86_64-linux-gnu-gcc' failed with exit status 1

Bikram Bharti
@In-vincible
Jan 22 2017 10:40
have you tried: apt-get install python-dev
Yasiru NIlan
@yasirunilan
Jan 22 2017 10:53
yeah I tried then i got this error

No package 'libffi' found

Package libffi was not found in the pkg-config search path.

Perhaps you should add the directory containing `libffi.pc'

to the PKG_CONFIG_PATH environment variable

No package 'libffi' found

c/_cffi_backend.c:15:17: fatal error: ffi.h: No such file or directory

include <ffi.h>

Bikram Bharti
@In-vincible
Jan 22 2017 10:55
try this one as well: apt-get install libpq-dev
Yasiru NIlan
@yasirunilan
Jan 22 2017 11:03
I tried but same thing comes again
Bikram Bharti
@In-vincible
Jan 22 2017 11:03
okay I will try test install just wait for some while
You are using ubuntu?
Yasiru NIlan
@yasirunilan
Jan 22 2017 11:06
yeas I'm using ubuntu
okay sure
Bikram Bharti
@In-vincible
Jan 22 2017 11:17
apt-get install libffi6 libffi-dev
run this before installing requirements.txt
Yasiru NIlan
@yasirunilan
Jan 22 2017 11:19
Ok thanks I will try it
Bikram Bharti
@In-vincible
Jan 22 2017 11:20
do tell the status
Yasiru NIlan
@yasirunilan
Jan 22 2017 11:25
then got another

ValueError: jpeg is required unless explicitly disabled using --disable-jpeg, aborting


Can't roll back Pillow; was not uninstalled

can't understand why I'm getting these errors, is it others installation working fine?
Bikram Bharti
@In-vincible
Jan 22 2017 11:28
can you tell me your pip version
I too remember running into issues with Pillow when setting orga-server on ubuntu. The above link should help solve it.
Bikram Bharti
@In-vincible
Jan 22 2017 11:30
yeah the link describes the pip upgrade as well
Yasiru NIlan
@yasirunilan
Jan 22 2017 11:30
pip 1.5.4 from /usr/lib/python2.7/dist-packages (python 2.7)
Bikram Bharti
@In-vincible
Jan 22 2017 11:30
follow the link given by @aviaryan
Yasiru NIlan
@yasirunilan
Jan 22 2017 11:30
okay thanks @aviaryan and @In-vincible
Avi Aryan
@aviaryan
Jan 22 2017 11:31
well the latest pip is v9
Yasiru NIlan
@yasirunilan
Jan 22 2017 11:45
that wored for me
are those to be included in the setting up tutorial
Bikram Bharti
@In-vincible
Jan 22 2017 11:46
cool upgrading pip worked for you?
Yasiru NIlan
@yasirunilan
Jan 22 2017 11:47
yeah, now no errors in installing requirements, other steps still not tried
Bikram Bharti
@In-vincible
Jan 22 2017 11:48
yeah @aviaryan we can add basic few steps like upgrading pip, installing python-dev,libpq-dev,libffi6 ,libffi-dev since these are essential I believe
though it may appear little over do, you decide :smile:
Yasiru NIlan
@yasirunilan
Jan 22 2017 11:50
better I think, new developers would encounter this problem otherwise
Avi Aryan
@aviaryan
Jan 22 2017 12:08
@In-vincible Yes, I think these can be added to the doc as tips/hints. Please send a PR.
Yasiru NIlan
@yasirunilan
Jan 22 2017 12:29
shall I make the PR?
Niranjan Rajendran
@niranjan94
Jan 22 2017 12:31
@yasirunilan. Sure. If @In-vincible hasn't already started, please proceed.
Yasiru NIlan
@yasirunilan
Jan 22 2017 12:35
in the installation guide step 4 what does this mean
export DATABASE_URL=postgresql:///oevent
what does the tripple slashes mean
Bikram Bharti
@In-vincible
Jan 22 2017 12:45
does the command threw error?
@yasirunilan please proceed I will try to help you if you face any problems :smile:
Yasiru NIlan
@yasirunilan
Jan 22 2017 12:54
yes I proceeded I got this when I run the app
DATABASE_URL either not exported or empty
DATABASE_URL either not exported or empty
when I go in to the browser it shows a internal server error
Bikram Bharti
@In-vincible
Jan 22 2017 13:53
export DATABASE_URL=postgresql:///oevent
export SERVER_NAME=localhost:5000
after these commands you are still getting this error?
Yasiru NIlan
@yasirunilan
Jan 22 2017 14:06
yeah I followed those steps
Bikram Bharti
@In-vincible
Jan 22 2017 14:07
@aviaryan I am not sure how to help @yasirunilan :worried:
Yasiru NIlan
@yasirunilan
Jan 22 2017 14:08
okay thanks @In-vincible
Bikram Bharti
@In-vincible
Jan 22 2017 14:09
@yasirunilan please wait for a while somebody will certainly help you while you try if you have missed any step :smile:
Yasiru NIlan
@yasirunilan
Jan 22 2017 14:13
okay sure :)
Princu
@Princu7
Jan 22 2017 18:22
@yasirunilan Did you used this export DATABASE_URL=postgresql://open_event_user:start@127.0.0.1:5432/test?
I have created an event in my local setup. I added some sessions and its speakers. However when I login in the speakers account, the my_sessions tab is empty and doesn't show the sessions for which the user is a speaker? Is is because the account is not verified or is there is some other reason?
Please help. Thanks!!